## python-altair 4.0.1

=== Makefile ===
all: install

install:
	python setup.py install

test :
	python -m pytest --pyargs --doctest-modules altair

test-coverage:
	python -m pytest --pyargs --doctest-modules --cov=altair --cov-report term altair

test-coverage-html:
	python -m pytest --pyargs --doctest-modules --cov=altair --cov-report html altair

=== requirements.txt ===
entrypoints
jinja2
jsonschema
numpy
pandas
toolz
typing>=3.6;python_version<"3.5"

=== doc/requirements.txt ===
sphinx
jinja2
numpydoc
pillow
sphinx_rtd_theme

=== debian/changelog ===
python-altair (4.0.1-2) unstable; urgency=low

  * debian/rules: DEB_BUILD_OPTIONS=nocheck to disable running test suite.
    We need python-vega-datasets enters into Debian first.
  * temporarily remove Build-Dep on python3-vega-datasets

 -- Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>  Thu, 28 May 2020 22:05:41 +0200

python-altair (4.0.1-1) unstable; urgency=low

  * Initial release (Closes: #941599)

 -- Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>  Thu, 02 Apr 2020 13:25:08 +0200

=== debian/control ===
Source: python-altair
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
#               python3-docutils,
               python3-entrypoints,
#               python3-flake8,
               python3-ipython,
               python3-jinja2,
               python3-jsonschema,
#               python3-m2r,
#               python3-numpy,
#               python3-numpydoc,
               python3-pandas,
#               python3-pil,
               python3-pytest,
#               python3-recommonmark,
               python3-setuptools,
#               python3-sphinx,
#               python3-sphinx-rtd-theme,
               python3-toolz,
#               python3-vega-datasets
Standards-Version: 4.5.0
Homepage: https://altair-viz.github.io/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-altair
Vcs-Git: https://salsa.debian.org/python-team/modules/python-altair.git
#Testsuite: autopkgtest-pkg-python

Package: python3-altair
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-altair-doc
Description: Declarative statistical visualization library for Python
 Altair is a declarative statistical visualization library, based on Vega
 (A Visualization Grammar) and Vega-Lite. This elegant simplicity produces
 beautiful and effective visualizations with a minimal amount of code.
 .
 This package installs the library for Python 3.

# TODO: Most of the html documentation fetches JS scripts from an external
# source (cdn.jsdelivr.net). Enable building it just when a local copy of
# those scripts becomes available. If ever possible.
#Package: python-altair-doc
#Architecture: all
#Section: doc
#Depends: ${sphinxdoc:Depends}, ${misc:Depends}
#Description: Declarative statistical visualization library for Python
# Altair is a declarative statistical visualization library, based on Vega
# (A Visualization Grammar) and Vega-Lite. This elegant simplicity produces
# beautiful and effective visualizations with a minimal amount of code.
# .
# This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=altair

# temporarily disable checks. altair needs vega_datasets
# but we need it enters into Debian first.
# See https://bugs.debian.org/941666
export DEB_BUILD_OPTIONS=nocheck

%:
	#dh $@ --with python3,sphinxdoc --buildsystem=pybuild
	dh $@ --with python3 --buildsystem=pybuild

# TODO: Most of the html documentation fetches JS scripts from an external
# source (cdn.jsdelivr.net). Enable building it just when a local copy of
# those scripts becomes available. If ever possible.
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman doc/ build/man # Manpage generator

## python-altair 4.1.0

=== requirements.txt ===
entrypoints
jinja2
jsonschema
numpy
pandas>=0.18
toolz

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: clean-generated
clean-generated:
	rm -rf user_guide/generated/
	rm -rf gallery/

.PHONY: clean-images
clean-images:
	rm -rf _images

.PHONY: clean-all
clean-all: clean clean-generated clean-images

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/altair.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/altair.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/altair"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/altair"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."


.PHONY: publish
publish: html
	bash sync_website.sh

=== debian/changelog ===
python-altair (4.1.0-1) unstable; urgency=low


  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team contact
    address
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa layout

  [ Santiago Ruano Rincón ]
  * New upstream version 4.1.0
  * Remove no longer needed debian/patches/remove-histogram_responsive.py
  * Bump debhelper-compat to 13
  * Enable checks. vega_datasets is in Debian now
  * Add build-dep on python3-vega-datasets

 -- Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>  Fri, 15 Oct 2021 14:54:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-altair
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
 #               python3-docutils,
@@ -24,11 +24,11 @@
 #               python3-sphinx,
 #               python3-sphinx-rtd-theme,
                python3-toolz,
-#               python3-vega-datasets
+               python3-vega-datasets
 Standards-Version: 4.5.0
 Homepage: https://altair-viz.github.io/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-altair
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-altair.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-altair
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-altair.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: python3-altair

## python-altair 4.2.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 	python setup.py install
 
 test :
+	black .
+	flake8 . --statistics
 	python -m pytest --pyargs --doctest-modules altair
 
 test-coverage:

=== requirements.txt ===
entrypoints
jinja2
jsonschema>=3.0
numpy
pandas>=0.18
toolz

=== doc/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
+    $(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
 endif
 
 # Internal variables.
@@ -51,7 +51,7 @@
 
 .PHONY: clean
 clean:
-	rm -rf $(BUILDDIR)/*
+	rm -rf $(BUILDDIR)
 
 .PHONY: clean-generated
 clean-generated:
@@ -67,18 +67,21 @@
 
 .PHONY: html
 html:
+	mkdir -p _images
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
 .PHONY: dirhtml
 dirhtml:
+	mkdir -p _images
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
 
 .PHONY: singlehtml
 singlehtml:
+	mkdir -p _images
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

=== debian/changelog ===
python-altair (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Temporarily remove example files causing failing tests
  * Bump Standards-Version to 4.6.1.0. No changes needed

 -- Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>  Tue, 31 May 2022 17:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 #               python3-sphinx-rtd-theme,
                python3-toolz,
                python3-vega-datasets
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1.0
 Homepage: https://altair-viz.github.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-altair
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-altair.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # temporarily disable checks. altair needs vega_datasets
 # but we need it enters into Debian first.
 # See https://bugs.debian.org/941666
-export DEB_BUILD_OPTIONS=nocheck
+#export DEB_BUILD_OPTIONS=nocheck
 
 %:
 	#dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## python-altair 5.0.1

=== debian/changelog ===
python-altair (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (this is not the latest available upstream version
    at the time of uploading this package since later versions than this are
    requiring the module anywidget which is not packaged yet.)
    Closes: #1044073
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Build-Depends: pybuild-plugin-pyproject, python3-hatchling
  * Exclude some tests that try to access internet

 -- Andreas Tille <tille@debian.org>  Sun, 04 Feb 2024 15:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: python-altair
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
 #               python3-docutils,
                python3-entrypoints,
-#               python3-flake8,
+               python3-flake8,
+               python3-flake8-black,
                python3-ipython,
                python3-jinja2,
                python3-jsonschema,
@@ -24,9 +27,11 @@
 #               python3-sphinx,
 #               python3-sphinx-rtd-theme,
                python3-toolz,
-               python3-vega-datasets
-Standards-Version: 4.6.1.0
+               python3-vega-datasets,
+               python3-hatchling
+Standards-Version: 4.6.2
 Homepage: https://altair-viz.github.io/
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-altair
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-altair.git
 #Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,13 @@
 # See https://bugs.debian.org/941666
 #export DEB_BUILD_OPTIONS=nocheck
 
+# Skip test requiring internet connection
+export PYBUILD_TEST_ARGS=--verbose -k 'not test_render_examples_to_chart and not test_from_and_to_json_roundtrip and not test_save_html'
+export PYBUILD_BEFORE_TEST=cp -a tools {build_dir}
+
 %:
-	#dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-	dh $@ --with python3 --buildsystem=pybuild
+	#dh $@ --with sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # TODO: Most of the html documentation fetches JS scripts from an external
 # source (cdn.jsdelivr.net). Enable building it just when a local copy of

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-altair-$1.tar.gz%" \
   https://github.com/altair-viz/altair/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
